Help Unable to install rtorrent pro

Status
Not open for further replies.

trungqnguyen

Passing Basics
Beginner
Aug 12, 2022
6
0
1
40
QNAP
TS-x79 Pro
Ethernet
1 GbE
Hi, after having a few issues with with speed in rtorrent pro I decided to upgrade the old version to the most recent rtorrent pro release.
When I tried to install via the web interface (on top of the current version) I received an error message "The following could not be installed. Please see system logs for more details. When I check the system logs there is nothing...
So I decided to remove the old rtorrent package via the web interface and then reboot. After rebooting and trying to install the latest version I get the same error message above.

Can someone give me some guidance please?

Many thanks!
 

Attachments

  • 2022-08-13_11h30_54.png
    2022-08-13_11h30_54.png
    97.7 KB · Views: 44
  • 2022-08-13_11h31_56.png
    2022-08-13_11h31_56.png
    18.4 KB · Views: 43
Is RAM expanded or replaced on this NAS? Most issues like that comes from broken RAM.

You can try to put rtorrent.qpkg file on Public share
And using ssh execute:
Bash:
cd /share/Public
sh rtorrent….qpkg
 
Hi Silas,
Thanks for your reply!
Ram was expanded a long time ago and didnt have any issues with rtorrent then.

Tried installing via sh with no luck - see screenshot.

Any other ideas?
 

Attachments

  • 2022-08-13_17h57_37.png
    2022-08-13_17h57_37.png
    21.2 KB · Views: 39
I sent you on PM special build. Please check if its installing. Please note it might not work on so old firmware anyway.
Hi Silas,
Thanks for the PM and yes it works!
So I assume the latest build does not work on firmware below 5.0?
 
Yes well. Minimal required firmware version is bumped in rtorrent. Rtorrent tells QTS that minimal version is 4.5.4 otherwise newer QTS may drop and don’t allow to install Rtorrent. That’s QNAP Policy. So in a future there will be no rtorrent updates for 4.3.6 I think.
 
Yes well. Minimal required firmware version is bumped in rtorrent. Rtorrent tells QTS that minimal version is 4.5.4 otherwise newer QTS may drop and don’t allow to install Rtorrent. That’s QNAP Policy. So in a future there will be no rtorrent updates for 4.3.6 I think.
Thanks Silas
 
Status
Not open for further replies.